import 'package:flutter/cupertino.dart';
import 'package:nui_database/models/enums/nui_database_query_type.dart';
import 'package:nui_database/models/nui_database_entity_field.dart';
import 'package:nui_database/models/nui_database_query_interf.dart';

class NUIDBQuery implements NUIDBQueryInterf{
  NUIDBQuery({@required this.field, this.type: NUIDBQueryType.EQUALS, this.value});
  NUIDBQueryType type;
  NUIDBFieldQuery field;
  dynamic value;

  String query(List<dynamic> params){
    String query = type.query(field, value);
    if(type.hasArgument()){
      params.add(type.argument(value));
    }
    return query;
  }
}